Smartsheet

Integrate your application with the Smartsheet API

🚀 Quickstart

Connect to Smartsheet with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Smartsheet. You'll need to set up your own OAuth app by following the setup guide. After that, add the OAuth client ID, secret, and scopes in the integration settings in Tenklo.

Authorize Smartsheet

Go to Connections -> Add Test Connection -> Authorize, then log in to Smartsheet. Later, you'll let your users do the same directly from your app.

Call the Smartsheet API

Let's make your first request to the Smartsheet API (fetch the profile of the currently signed-in user). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/2.0/users/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Smartsheet integration guides

Tenklo maintained guides for common use cases.

Official docs: Smartsheet API docs

🧩 Pre-built syncs & actions for Smartsheet

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Users

Function nameDescriptionTypeSource code
usersFetches a list of users from SmartsheetSync🔗 Github

Others

Function nameDescriptionTypeSource code
create-userCreates a user in SmartsheetAction🔗 Github
delete-userDeletes a user from Smartsheet. User is transitioned to a free collaborator with read-only access to owned reports, sheets, Sights, workspaces, and any shared templates (unless those are optionally transferred to another user).Action🔗 Github
disable-userDisables a user in an organization account. User will no longer be able to access Smartsheet in any way. User's assets will continue to be owned by this user until they are transferred to another user.Action🔗 Github

On this page